hpp-fcl: boost::serialization::internal::HeightFieldAccessor< BV > Struct Template Reference

hpp-fcl 1.8.0 HPP fork of FCL -- The Flexible Collision Library

Public Types | List of all members
boost::serialization::internal::HeightFieldAccessor< BV > Struct Template Reference

`#include <hpp/fcl/serialization/hfield.h>`

Inheritance diagram for boost::serialization::internal::HeightFieldAccessor< BV >:

## Public Types
typedef hpp::fcl::HeightField< BV > | Base
Public Types inherited from hpp::fcl::HeightField< BV >
typedef CollisionGeometry | Base
typedef HFNode< BV > | Node
typedef std::vector< Node > | BVS

## Additional Inherited Members
Public Member Functions inherited from hpp::fcl::HeightField< BV >
| HeightField ()
| Constructing an empty HeightField. More...
| HeightField (const FCL_REAL x_dim, const FCL_REAL y_dim, const MatrixXf &heights, const FCL_REAL min_height=(FCL_REAL) 0)
| Constructing an HeightField from its base dimensions and the set of heights points. The granularity of the height field along X and Y direction is extraded from the Z grid. More...
| HeightField (const HeightField &other)
| Copy contructor from another HeightField. More...
const VecXf & | getXGrid () const
| Returns a const reference of the grid along the X direction. More...
const VecXf & | getYGrid () const
| Returns a const reference of the grid along the Y direction. More...
const MatrixXf & | getHeights () const
| Returns a const reference of the heights. More...
FCL_REAL | getXDim () const
| Returns the dimension of the Height Field along the X direction. More...
FCL_REAL | getYDim () const
| Returns the dimension of the Height Field along the Y direction. More...
FCL_REAL | getMinHeight () const
| Returns the minimal height value of the Height Field. More...
FCL_REAL | getMaxHeight () const
| Returns the maximal height value of the Height Field. More...
virtual HeightField< BV > * | clone () const
| Clone *this into a new CollisionGeometry. More...
virtual | ~HeightField ()
| deconstruction, delete mesh data related. More...
void | computeLocalAABB ()
| Compute the AABB for the HeightField, used for broad-phase collision. More...
bool | operator== (const HeightField &other) const
| Comparison operators. More...
bool | operator!= (const HeightField &other) const
| Difference operator. More...
void | updateHeights (const MatrixXf &new_heights)
| Update Height Field height. More...
const HFNode< BV > & | getBV (unsigned int i) const
| Access the bv giving the its index. More...
HFNode< BV > & | getBV (unsigned int i)
| Access the bv giving the its index. More...
NODE_TYPE | getNodeType () const
| Get the BV type: default is unknown. More...
NODE_TYPE | getNodeType () const
| Specialization of getNodeType() for HeightField with different BV types. More...
NODE_TYPE | getNodeType () const
| get the node type More...
NODE_TYPE | getNodeType () const
| get the node type More...
NODE_TYPE | getNodeType () const
| get the node type More...
NODE_TYPE | getNodeType () const
| get the node type More...
NODE_TYPE | getNodeType () const
| get the node type More...
NODE_TYPE | getNodeType () const
| get the node type More...
NODE_TYPE | getNodeType () const
| get the node type More...
Public Member Functions inherited from hpp::fcl::CollisionGeometry
| CollisionGeometry ()
| CollisionGeometry (const CollisionGeometry &other)
| Copy constructor. More...
virtual | ~CollisionGeometry ()
bool | operator== (const CollisionGeometry &other) const
| Equality operator. More...
bool | operator!= (const CollisionGeometry &other) const
| Difference operator. More...
void * | getUserData () const
| get user data in geometry More...
void | setUserData (void *data)
| set user data in geometry More...
bool | isOccupied () const
| whether the object is completely occupied More...
bool | isFree () const
| whether the object is completely free More...
bool | isUncertain () const
| whether the object has some uncertainty More...
virtual Matrix3f | computeMomentofInertiaRelatedToCOM () const
| compute the inertia matrix, related to the com More...
Public Attributes inherited from hpp::fcl::CollisionGeometry
Vec3f | aabb_center
| AABB center in local coordinate. More...
FCL_REAL | aabb_radius
| AABB radius. More...
AABB | aabb_local
| AABB in local coordinate, used for tight AABB when only translation transform. More...
void * | user_data
| pointer to user defined data specific to this object More...
FCL_REAL | cost_density
| collision cost for unit volume More...
FCL_REAL | threshold_occupied
| threshold for occupied ( >= is occupied) More...
FCL_REAL | threshold_free
| threshold for free (<= is free) More...
Protected Member Functions inherited from hpp::fcl::HeightField< BV >
void | init (const FCL_REAL x_dim, const FCL_REAL y_dim, const MatrixXf &heights, const FCL_REAL min_height)
OBJECT_TYPE | getObjectType () const
| Get the object type: it is a HFIELD. More...
Vec3f | computeCOM () const
| compute center of mass More...
FCL_REAL | computeVolume () const
| compute the volume More...
Matrix3f | computeMomentofInertia () const
| compute the inertia matrix, related to the origin More...
int | buildTree ()
| Build the bounding volume hierarchy. More...
FCL_REAL | recursiveUpdateHeight (const size_t bv_id)
FCL_REAL | recursiveBuildTree (const size_t bv_id, const Eigen::DenseIndex x_id, const Eigen::DenseIndex x_size, const Eigen::DenseIndex y_id, const Eigen::DenseIndex y_size)
Protected Attributes inherited from hpp::fcl::HeightField< BV >
FCL_REAL | x_dim
| Dimensions in meters along X and Y directions. More...
FCL_REAL | y_dim
MatrixXf | heights
| Elevation values in meters of the Height Field. More...
FCL_REAL | min_height
| Minimal height of the Height Field: all values bellow min_height will be discarded. More...
FCL_REAL | max_height
VecXf | x_grid
| Grids along the X and Y directions. Useful for plotting or other related things. More...
VecXf | y_grid
BVS | bvs
| Bounding volume hierarchy. More...
unsigned int | num_bvs

## Member Typedef Documentation

## ◆ Base

template<typename BV >

typedef hpp::fcl::HeightField<BV> boost::serialization::internal::HeightFieldAccessor< BV >::Base

The documentation for this struct was generated from the following file:

- include/hpp/fcl/serialization/hfield.h